<?xml version="1.0" encoding="gb2312" ?> 
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:element name="ARP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">  
               
        <xs:element name="ArpClearByType">
          <xs:complexType>
            <xs:all>
              <xs:element name="ArpType" minOccurs="0">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"/>                    
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                      <xs:enumeration value="3"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpClearByIfIndex">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearByIfIndex" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                 <xs:all>
                   <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                   </xs:element>
                 </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpScan" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Scan" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4AddressStart" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4AddressEnd" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
       <xs:element name="ArpFixup" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Fixup" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                  </xs:all>     
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>

        <xs:element name="ArpClearTable" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpSnoopingClearByVLAN" minOccurs="0">
          <xs:complexType>
            <xs:choice>
              <xs:element name="ClearByVLAN" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="VLANID" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"></xs:minInclusive>                                
                            <xs:maxInclusive value="4094"></xs:maxInclusive>                     
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>                   
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="ArpSnoopingClearByIP" minOccurs="0">
          <xs:complexType>
            <xs:choice>
              <xs:element name="ClearByIP" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Ipv4Address" minOccurs="0" type="base:Ipv4Address" nillable="true">
                    </xs:element>                  
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
        
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
